| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
USB_ClassInfo_CDC_Host_t Struct Reference
CDC Class Host Mode Driver

## Detailed Description

CDC Class Host Mode Configuration and State Structure.

Class state structure. An instance of this structure should be made within the user application, and passed to each of the CDC class driver functions as the `CDCInterfaceInfo` parameter. This stores each CDC interface's configuration and state information.

Definition at line 73 of file CDCClassHost.h.

`#include "CDCClassHost.h"`

## Data Fields
struct {
uint8_t DataINPipeNumber
bool DataINPipeDoubleBank
uint8_t DataOUTPipeNumber
bool DataOUTPipeDoubleBank
uint8_t NotificationPipeNumber
bool NotificationPipeDoubleBank
uint8_t PortNumber
} | Config
struct {
bool IsActive
uint8_t ControlInterfaceNumber
uint16_t DataINPipeSize
uint16_t DataOUTPipeSize
uint16_t NotificationPipeSize
struct {
uint8_t HostToDevice
uint8_t DeviceToHost
} ControlLineStates
CDC_LineEncoding_t LineEncoding
} | State

## Field Documentation

struct { ... } Config

Config data for the USB class interface within the device. All elements in this section must be set or the interface will fail to enumerate and operate correctly.

uint8_t ControlInterfaceNumber

Interface index of the CDC-ACM control interface within the attached device.

Definition at line 97 of file CDCClassHost.h.

struct { ... } ControlLineStates

Current states of the virtual serial port's control lines between the device and host.

bool DataINPipeDoubleBank

Indicates if the CDC interface's IN data pipe should use double banking.

Definition at line 78 of file CDCClassHost.h.

uint8_t DataINPipeNumber

Pipe number of the CDC interface's IN data pipe.

Definition at line 77 of file CDCClassHost.h.

uint16_t DataINPipeSize

Size in bytes of the CDC interface's IN data pipe.

Definition at line 99 of file CDCClassHost.h.

bool DataOUTPipeDoubleBank

Indicates if the CDC interface's OUT data pipe should use double banking.

Definition at line 81 of file CDCClassHost.h.

uint8_t DataOUTPipeNumber

Pipe number of the CDC interface's OUT data pipe.

Definition at line 80 of file CDCClassHost.h.

uint16_t DataOUTPipeSize

Size in bytes of the CDC interface's OUT data pipe.

Definition at line 100 of file CDCClassHost.h.

uint8_t DeviceToHost

Control line states from the device to host, as a set of `CDC_CONTROL_LINE_IN_*` masks. This value is updated each time CDC_Host_USBTask() is called.

Definition at line 109 of file CDCClassHost.h.

uint8_t HostToDevice

Control line states from the host to device, as a set of `CDC_CONTROL_LINE_OUT_*` masks - to notify the device of changes to these values, call the CDC_Host_SendControlLineStateChange() function.

Definition at line 105 of file CDCClassHost.h.

bool IsActive

Indicates if the current interface instance is connected to an attached device, valid after CDC_Host_ConfigurePipes() is called and the Host state machine is in the Configured state.

Definition at line 93 of file CDCClassHost.h.

CDC_LineEncoding_t LineEncoding

Line encoding used in the virtual serial port, for the device's information. This is generally only used if the virtual serial port data is to be reconstructed on a physical UART. When set by the host application, the CDC_Host_SetLineEncoding() function must be called to push the changes to the device.

Definition at line 114 of file CDCClassHost.h.

bool NotificationPipeDoubleBank

Indicates if the CDC interface's notification pipe should use double banking.

Definition at line 84 of file CDCClassHost.h.

uint8_t NotificationPipeNumber

Pipe number of the CDC interface's IN notification endpoint, if used.

Definition at line 83 of file CDCClassHost.h.

uint16_t NotificationPipeSize

Size in bytes of the CDC interface's IN notification pipe, if used.

Definition at line 101 of file CDCClassHost.h.

uint8_t PortNumber

Port number that this interface is running.

Definition at line 86 of file CDCClassHost.h.

struct { ... } State

State data for the USB class interface within the device. All elements in this section may be set to initial values, but may also be ignored to default to sane values when the interface is enumerated.

The documentation for this struct was generated from the following file:

- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/LPCUSBLib/Drivers/USB/Class/Host/CDCClassHost.h